Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface OWLNames

All Known Subinterfaces:
  SWRLNames

    public interface OWLNames

Defines the names of the OWL system ontology. This corresponds to the Model interface in general Protege.

Author:
  Holger Knublauch

Nested Class Summary
`static interface` | `OWLNames.Cls`
`static interface` | `OWLNames.ClsID`
`static interface` | `OWLNames.Slot`

Field Summary
`static int` | `CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED`
`static int` | `CLASSIFICATION_STATUS_CONSISTENT_AND_UNCHANGED`
`static int` | `CLASSIFICATION_STATUS_INCONSISTENT` Deprecated. Please use the `isConsistent` method on `OWLNamedClass`.
`static int` | `CLASSIFICATION_STATUS_UNDEFINED`
`static String` | `OWL_NAMESPACE`
`static String` | `OWL_PREFIX`

Field Detail

### OWL_NAMESPACE

    static final String OWL_NAMESPACE

See Also:
  Constant Field Values

### CLASSIFICATION_STATUS_UNDEFINED

    static final int CLASSIFICATION_STATUS_UNDEFINED

See Also:
  Constant Field Values

### CLASSIFICATION_STATUS_CONSISTENT_AND_UNCHANGED

    static final int CLASSIFICATION_STATUS_CONSISTENT_AND_UNCHANGED

See Also:
  Constant Field Values

### CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED

    static final int CLASSIFICATION_STATUS_CONSISTENT_AND_CHANGED

See Also:
  Constant Field Values

### CLASSIFICATION_STATUS_INCONSISTENT

    static final int CLASSIFICATION_STATUS_INCONSISTENT

  Deprecated. Please use the `isConsistent` method on `OWLNamedClass`.
  See Also:
    Constant Field Values

### OWL_PREFIX

    static final String OWL_PREFIX

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.